#include <QImage>
#include <QLayout>
#include <QSlider>
#include <QWidget>

#include "HandyScrollArea.h"
#include "MiniMap.h"

class BaseWidget :
	public QWidget
{
	Q_OBJECT

public:
	BaseWidget( char* l1, char* l2 );
	~BaseWidget(void);

	void setScale( double s );

signals:
	void showMessage( QString m, int msec );

public slots:
	void nil0 () {};
	void chooseMaskColor();
	virtual void setTolerance( int dec ) = 0;

protected slots:
	void nil1 () {};
	void message( QString m );
	void useLeg1();
	void useLeg2();

protected:
	QImage leg1;
	QImage leg2;

	MiniMap* p1;
	MiniMap* p2;

	ImageProjector* main;
	HandyScrollArea* scroll;
	QHBoxLayout* main_l;

	QSlider* slider;
};
